#
# spec file for package frozenbubble
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.231008-1
Name:           frozenbubble
Version:		0.231008
Release:        1
Summary:    	Knock down all the balls !
License:        CC-PDDC
URL:            http://prymula.ct8.pl
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}==1530
BuildRequires:	libSDL2-devel, libSDL2_ttf-devel, libSDL2_gfx-devel, pkgconfig, pkgconfig(sdl2), gcc-c++
Requires:       libSDL2-2_0-0, libSDL2_ttf-2_0-0, libSDL2_gfx-1_0-0
%else
BuildRequires:	SDL2-devel, SDL2_ttf-devel, SDL2_gfx-devel, pkgconfig, pkgconfig(sdl2), gcc-c++
Requires:       SDL2, SDL2_ttf, SDL2_gfx
%endif
BuildArch:	x86_64

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
make

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}/usr/share/frozenbubble
mkdir -p %{buildroot}/usr/share/frozenbubble/img
mkdir -p %{buildroot}/usr/share/applications

#%make_install

install -m 0755 frozenbubble %{buildroot}/usr/bin/frozenbubble
install -m 0644 assets/frozenbubble.png %{buildroot}/usr/share/frozenbubble/img
#install -m 0644 assets/frozenbubble.bmp %{buildroot}/usr/share/frozenbubble/img
#install -m 0644 assets/wallpaper.bmp %{buildroot}/usr/share/frozenbubble/img
install -m 0644 frozenbubble.desktop %{buildroot}/usr/share/applications
install -m 0644 assets/Bevan.ttf %{buildroot}/usr/share/frozenbubble



%files
%defattr(0755,root,root)
/usr/bin/frozenbubble
/usr/share/frozenbubble/
/usr/share/frozenbubble/img/
%defattr(0644,root,root)
/usr/share/frozenbubble/img/frozenbubble.png
#/usr/share/frozenbubble/img/frozenbubble.bmp
#/usr/share/frozenbubble/img/wallpaper.bmp
/usr/share/applications/frozenbubble.desktop
/usr/share/frozenbubble/Bevan.ttf

%changelog
